-- This is the main configuration file for Propellor, and is used to build
-- the propellor program.

import Propellor
import Propellor.CmdLine
import Propellor.Property.Scheduled
import qualified Propellor.Property.File as File
import qualified Propellor.Property.Apt as Apt
import qualified Propellor.Property.Cron as Cron
import qualified Propellor.Property.User as User
import qualified Propellor.Property.Hostname as Hostname

main :: IO ()
main = defaultMain hosts

-- The hosts propellor knows about.
-- Edit this to configure propellor!
hosts :: [Host]
hosts =
        [ host "hermit"
            & os (System (Debian (Stable "jessie")) "amd64")
            & Apt.stdSourcesList
            & Apt.installed ["ssh", "build-essential"]
            & Cron.runPropellor (Cron.Times "30 * * * *")
        , host "empress"
            & os (System (Debian (Stable "jessie")) "amd64")
            & Apt.stdSourcesList
            & Apt.installed ["ssh", "build-essential"]
            & Cron.runPropellor (Cron.Times "30 * * * *")
        ]
